Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
google_drive = client.google_drives.delete(
"id",
)
print(google_drive.id)curl --request DELETE \
--url https://developer.qaip.com/api/v1/google-drives/{id} \
--header 'x-api-key: <api-key>'const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://developer.qaip.com/api/v1/google-drives/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"folder_url": "<string>",
"status": "unknown",
"ingestion_setting_id": "<string>",
"creation_time": 123,
"start_time": 123,
"end_time": 123,
"error": {
"title": "<string>",
"message": "<string>"
},
"metadata": {
"records": [
{
"key": "<string>",
"val": "<string>",
"type": "string"
}
]
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>"
}
}References
Start deletion of Google Drive data source
Initiates an asynchronous deletion job for the specified Google Drive data source. The response indicates that the deletion job has been accepted, not that the deletion is complete.
Required scope: ingestion:manage
DELETE
/
google-drives
/
{id}
Python
import os
from qaip import Qaip
client = Qaip(
api_key=os.environ.get("QAIP_API_KEY"), # This is the default and can be omitted
)
google_drive = client.google_drives.delete(
"id",
)
print(google_drive.id)Authorizations
API key for authentication
Path Parameters
Google Drive data source ID
Response
Successfully deleted Google Drive data source
Google Drive data source ID
Name of the Google Drive ingestion setting
Google Drive folder URL
Job status
Available options:
unknown, queued, not_started, managed, starting, started, success, failure, canceling, canceled, deleting, delete_job_failure Google Drive ingestion setting ID
Creation time (Unix timestamp in seconds)
Job start time (Unix timestamp in seconds)
Job end time (Unix timestamp in seconds)
Show child attributes
Show child attributes
(reserved for future use) Additional metadata for the Google Drive data source
Show child attributes
Show child attributes

